libofx (1:0.10.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Oct 2021 16:55:53 +0200

libofx (1:0.10.2-2) unstable; urgency=medium

  * Fix bogus mail in d/changelog.
  * Disable autopkgtest for now.
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Sep 2021 17:48:43 +0200

libofx (1:0.10.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 May 2021 11:51:42 +0200

libofx (1:0.10.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Dylan Aïssi ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update symbols file.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Jan 2021 11:53:32 +0100

libofx (1:0.9.15-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/libofx7.symbols:
    - flag extra cpp symbols as optional (Closes: #946162)

  [ Dylan Aïssi ]
  * Fix Build-Depends-Package field in symbols file.

  [ Debian Janitor ]
  * Add missing colon in closes line.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 01 Feb 2020 10:47:24 +0100

libofx (1:0.9.15-2) unstable; urgency=medium

  * Update symbols file.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Oct 2019 11:38:50 +0200

libofx (1:0.9.15-1) unstable; urgency=medium

  * New upstream release.
      Fix CVE-2019-9656 (Closes: #924350)
  * Add debian/gitlab-ci.yml.
  * Add debian/libofx7.symbols.
  * Bump Standards-Version: 4.4.1 (no changes needed).
  * Switch to debhelper-compat.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 14 Oct 2019 22:15:13 +0200

libofx (1:0.9.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dylan Aïssi ]
  * New upstream release.
  * Bump Standards-Version: 4.3.0 (no changes needed).
  * Bump debhelper compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Feb 2019 07:51:24 +0100

libofx (1:0.9.13-2) unstable; urgency=medium

  * Update autopkgtest to reflect that the sample files
     moved in another folder (Closes: #898212).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 08 May 2018 23:21:37 +0200

libofx (1:0.9.13-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches not needed anymore.
  * Update Vcs fields to salsa.debian.org.
  * Bump Standards-Version: 4.1.4 (no changes needed).
  * Remove useless debian/missing-sources folder.
  * Bump debhelper compat 11.
  * Documentation is now installed into usr/share/doc/libofx-dev/
  * Remove Conflicts with libofx1 which disappeared more than 10 years ago.
  * Remove useless Pre-Depends for libofx7.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 06 May 2018 21:51:08 +0200

libofx (1:0.9.12-1) unstable; urgency=medium

  * New upstream release.
    - Switch to cleaner tarball from GitHub.
  * Drop patches applied upstream.
  * Add doxygen to Build-Dep and update d/rules.
  * Remove Depends: libjs-jquery.
    - For more information see: /usr/share/doc/doxygen/README.jquery.
  * Add upstream patches to fix some crashes (Closes: #716625).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 28 Nov 2017 22:07:34 +0100

libofx (1:0.9.11-5) unstable; urgency=high

  * Add an upstream patch to fix CVE-2017-14731 (Closes: #877442).
  * cme fix dpkg-control.
  * Remove trailing whitespace characters in d/changelog.
  * Bump Standards-Version: 4.1.1 (no changes needed).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 01 Nov 2017 23:07:52 +0100

libofx (1:0.9.11-4) unstable; urgency=medium

  * Add an upstream patch to fix CVE-2017-2816 (Closes: #875801).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 17 Sep 2017 23:38:49 +0200

libofx (1:0.9.11-3) unstable; urgency=medium

  * Fix tests: remove ofxdump for testing libofx.
     Many messages are sent to stderr.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 23 Jul 2017 23:11:03 +0200

libofx (1:0.9.11-2) unstable; urgency=medium

  * Switch homepage from SourceForge to GitHub. (Closes: #852209)
  * Add an autopkgtest test.
  * Bump Standards-Version: 4.0.0 (no changes needed).
  * Upload to unstable.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 15 Jul 2017 21:33:38 +0200

libofx (1:0.9.11-1) experimental; urgency=medium

  * New upstream release.
  * Bump SONAME to libofx7.
  * Update watch file to target GitHub instead SourceForge.
  * Remove the override_dh_strip field, not needed anymore.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 17 Jan 2017 16:22:53 +0100

libofx (1:0.9.10-2) unstable; urgency=medium

  * Adopt the package. (Closes: #815259)
  * Standards-Version: 3.9.8 (no changes needed).
  * Update VCS fields.
  * Remove unused lintian override.
  * Add "Multi-Arch: foreign" for the libofx-doc package.
  * Add a patch to fix spelling error.
  * Bump watch file to v4.
  * Bump debhelper compat 10.
  * Switch to automatic dbgsym package.
  * Move the package ofx in the section utils.
  * Set all hardening options.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 11 Jan 2017 10:17:41 +0100

libofx (1:0.9.10-1) unstable; urgency=medium

  * Imported Upstream version 0.9.10
  * d/copyright: rewrite using machine-readable format 1.0.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 12:13:41 +0200

libofx (1:0.9.9-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable parallel build.
    The build rules in ofxconnect/Makefile.am are not ready for it.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 May 2014 23:02:25 +0200

libofx (1:0.9.9-1) experimental; urgency=low

  * Imported Upstream version 0.9.9
    - Fixes handling of utf-8 encoded files. (Closes: #726184)
  * debian/copyright: reflect upstream changes.
  * Drop all patches, either applied upstream or unnecessary.
  * Bump SONAME to libofx6.
  * Adopt package. (Closes: #734348)
  * Use dh-autoreconf. (Closes: #727420)
  * Activate parallel build.
  * Simplify debian/rules by removing manual backup of modified files.
    Clean them instead.
  * Bump Standards-Version to 3.9.5.
  * Update Vcs-* fields.
  * Mark libofx-dev and libofx6-dbg as Multiarch: same.
  * Add source for jquery.js in debian/missing-sources/.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 06 May 2014 20:24:23 +0200

libofx (1:0.9.4-2.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667251.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 08:08:44 +0200

libofx (1:0.9.4-2) unstable; urgency=low

  * Multiarch support:
    * debian/control: Bump debhelper versioned dependency to >= 8.1.3 for
      compat level 9
    * debian/control: Set Multi-Arch: same for libofx4
    * debian/compat: Use debhelper compatibility level 9
    * debian/source/lintian-overrides: Override
      package-needs-versioned-debhelper-build-depends warning for experimental
      debhelper version.
    * debian/libofx4.install, debian/libofx-dev.install: Install .so files to
      arch subdirectory
  * debian/control:
    * Unversion dependency on libosp-dev
    * Add Vcs-* tags to debian/control
    * Remove conflicts from ofx (conflicting versions no longer in any
      supported debian version)
  * debian/copyright: Update debian/copyright to clarify maintainership and
    sort authors
  * debian/libofx-dev.install: Drop the *.la libtool linker archives from
    libofx-dev (Closes: #633278)
  * debian/ofx2qif.pod: Make some spelling/grammar fixes in ofx2qif(1) and
    clarify copyright
  * debian/rules:
    * Remove "sample rules file" comments in debian/rules
    * Improve safety in backup file restoration process
  * debian/libofx-doc.doc-base: Fix capitalization in libofx-doc doc-base
    registration

 -- Bryan Donlan <bdonlan@gmail.com>  Sat, 09 Jul 2011 09:18:07 -0400

libofx (1:0.9.4-1) unstable; urgency=low

  * Set myself as maintainer, with blessing of previous maintainer Thomas
    Bushnell on debian-mentors and gnucash maintainer Micha Lenk in private
    mail.
  * New upstream release (Closes: #549161, #551057, #465281; also closes ubuntu
    LP: #629996)
  * The DTD installation path has changed to /usr/share/libotx4/libotx/dtd, to
    simplify the build scripts. (This allows the path to be passed in once, at
    configure time as --datadir, rather than every time make is invoked)
  * Remove obsolete debian patches
  * Switch to 3.0 (quilt) source format
  * debian/control updates:
    * Change libxml dependency to libxml++2.6-dev (Closes: #467364)
    * Build using libcurl4-gnutls-dev (Closes: #487255)
    * Add new help2man dependency for manpage generation
    * Add ${misc:Depends} entries to binary dependencies (lintian fix)
    * Add versioned dependency on debhelper >= 7.0.50, for autosequencer
      support
    * Update to Standard-Version: 3.9.2.0 (added Homepage: field to
      debian/control)
    * Unversion ofx's conflict with libofx2; it's been long enough that only
      libofx4 should be in the wild.
    * Update libofx-dev description
    * Add build-depends on the autotools suite, as one of our debian patches
      modifies Makefile.am files
  * Split documentation into a new libofx-doc package, to reduce the size of
    libofx-dev.
  * debian/control, debian/libofx-doc.links: Symlink the jquery.js file from
    libjs-jquery instead of shipping a new copy
  * Add debian/watch file
  * debian/rules:
    * Back up generated files during the build, in order to minimize noise in
      debdiffs. In order to ensure these files are regenerated, debian/rules
      will delete the upstream-supplied versions after the backup.
    * Regenerate libtoolize/aclocal/automake/autoheader/autoconf generated
      files. This is required for the
      0001-Suppress-help2man-info-page-reference patch
    * Use the copy of libcurl.m4 in aclocal; this suppresses an autoconf
      warning
  * Use the dh autosequencer to perform the build.
    * debian/rules: Use dh(1) for most actions.
    * debian/libofx4.install, debian/libofx-dev.install, debian/ofx.install:
      Add install files so we can use dh_install rather than manual
      dh_movefiles invocations
    * debian/libofx-dev.docs: Install HTML docs and sample files via
      dh_installdocs
    * debian/dirs: Removed as unnecessary
    * debian/compat: Update debhelper compatibility level to 7, now that
      we're using the autosequencer
  * New patches:
    * 0001-Suppress-help2man-info-page-reference.patch:
      Suppress reference to nonexistent info page in generated manpages
    * 0002-Fix-formatting-of-ofxdump-usage-message-so-help2man-.patch:
      Fix leading spaces in ofxdump --help output confusing help2man and
      breaking the ofxdump(1) manpage
    * 0003-Fix-autoconf-warning-due-to-bad-libtool-invoca.patch:
      Fix bad invocation of libtool in configure.in breaking the build with
      autoconf >= 2.68
    * 0004-Reference-the-m4-directory-for-macro-files.patch:
      Add references to the m4 directory in configure.in and Makefile.am so
      libtoolize can do its magic
    * 0005-Improve-manpage-whatis-entries.patch: Replace the generic
      'libofx - manual page for libofx 0.9.4' whatis entries in the ofxdump(1)
      and ofxconnect(1) manpages with something more descriptive
    * 0006-Fix-typo-in-lib-file_preproc.cpp.patch: Fix typo ('sucessfully') in
      error message
  * debian/copyright: Specifically reference GPL-2 rather than GPL in
    common-licenses (lintian fix)
  * debian/libofx-dev.doc-base: Add doc-base registration for libofx-dev HTML
    reference docs
  * debian/ofx2qif.pod: Add manual page for ofx2qif.
  * debian/rules: Add build-dep for perl for pod2man (used for ofx2qif manpage
    generation)

 -- Bryan Donlan <bdonlan@gmail.com>  Fri, 13 May 2011 03:40:07 -0400

libofx (1:0.9.0-3) unstable; urgency=low

  * lib/ofx_preproc.c (ofx_proc_file): Make iconv buffer twice as big in
    case input files include non-ASCII UTF-8 characters.  Patch thanks to
    Jerome Vouillon (jerome.Vouillon@pps.jussieu.fr).  (Closes: 493597)

  * Acknowledge NMU from Andreas Barth. (Thanks Andreas!) (Closes: #417361)
  * Acknowledge NMU from Chris Lamb. (Thanks Chris!) (Closes: #474860)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 04 Aug 2008 23:16:30 -0700

libofx (1:0.9.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #474860)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use ${binary:Version} instead of ${Source-Version}.
  * Call distclean in debian/rules clean target.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 14:44:55 +0100

libofx (1:0.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3. Thanks to Martin Michlmayr. Closes: #417361

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Mar 2008 22:48:14 +0000

libofx (1:0.9.0-2) unstable; urgency=low

  * debian/control (libofx4): Don't Conflict, Provide, or Replace
    the libofx2 packages.  That job is for the old libofx3 only.
    (Closes: #463854)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 04 Feb 2008 19:35:39 -0500

libofx (1:0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Regenerate autotools using Debian libtool by:
    libtoolize --copy --force; aclocal-1.9; autoconf.
  * debian/control (libofx4): Renamed package from libofx3.
    (libofx-dev): Depend on libofx4 instead of libofx3.
  * debian/rules (PACKNAME): Update to libofx4.
    (version): Update to 0.9.0.
  * libofx4.docs: Renamed from libofx3.docs.

  * debian/rules (major): Delete unused variable, and commented idle
    code that mentioned it.

  * debian/copyright: Add proper authorship and copyright information, and
    the license information for the OFX dtd's.  (Closes: #460407)

  * debian/rules (binary-arch): Don't put /usr/include in the $(PACKNAME)
    package.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Sun, 30 Dec 2007 21:24:51 -0800

libofx (1:0.8.2-3) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Fri, 20 Oct 2006 13:12:33 -0700

libofx (1:0.8.2-2) unstable; urgency=low

  * Acknowledge NMU.  Thanks Matthias!  (Closes: #385821, #385667,
    #385880, #386068)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Thu, 28 Sep 2006 15:21:16 -0700

libofx (1:0.8.2-1.1) unstable; urgency=low

  * NMU.
  * Drop build dependency on g++-4.0. Closes: #385821.
  * New library package libofx3. Closes: #385667, #385880.

 -- Matthias Klose <doko@debian.org>  Tue,  5 Sep 2006 02:29:16 +0200

libofx (1:0.8.2-1) unstable; urgency=low

  * New upstream release.  (Closes: #287388)
  * debian/control (Build-Depends): Add libxml++1.0-dev.
  * Regenerate autotools using Debian libtool by:
    libtoolize --copy --force; aclocal-1.9; autoconf.
  * debian/rules: Put pkgconfig files into the -dev package.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 29 Aug 2006 12:52:48 -0700

libofx (1:0.8.0-12) unstable; urgency=low

  * debian/rules (MAKEVARS): Include $(version) in the name of the
    LIBOFX_DTD_DIR, so that we can put those files in the shared library
    package and still have more than one version of the shared library
    installed.
    (binary-arch): Put the dtd files into the shared library package.
  * debian/control (ofx): Don't mention the runtime support files here (or
    anywhere else, actually).

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 29 May 2006 11:23:51 -0700

libofx (1:0.8.0-11) unstable; urgency=low

  * debian/control (libofx2c2a): No longer depend on ofx. This was only
    there because the old library package had the binaries which are now
    in the separate package.  These programs were not important enough for
    this to be done, and circular dependencies are bad.  Instead, use
    "Suggests". (Closes: #358383, #345672)
    (libofx-dev): Conflict with libofx1, which contained some development
    files.

  * debian/ofx.docs: New file.
  * debian/libofx2c2a.docs: Renamed from libofx2.docs.
  * debian/libofx2.substvars, debian/libofx2.postinst.debhelper,
    debian/libofx2.postrm.debhelper: Remove cruft.
    (Closes: #361145)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Fri, 28 Apr 2006 18:41:04 -0700

libofx (1:0.8.0-10) unstable; urgency=low

  * debian/rules (PACKNAME, MAKEVARS): New variables, to reduce
    redundancy.  $(PACKNAME) replaces libofx2c2a.  $(MAKEVARS) is prefixed
    on all invocations of make.  Specify LIBOFX_DTD_DIR on make
    invocations.
    (install): No longer move files into correct location, since
    the new make variables just install them properly the first time.
    (Closes: #343722)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Wed,  4 Jan 2006 12:03:47 -0800

libofx (1:0.8.0-9) unstable; urgency=low

  * Generate autotools using Debian libtool (rerun libtoolize --copy
    --force, aclocal-1.9, autoconf). (Closes: #341190)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 29 Nov 2005 00:12:00 -0800

libofx (1:0.8.0-8) unstable; urgency=low

  * debian/control (libofx-dev): Conflict with libofx2, which in its
    released versions, contained the .a archives which are now in
    libofx-dev.  (Don't actually declare a replacement here, because
    that's not really correct; however, libofx-dev does depend on
    libofx2c2a, which in turn does Replace libofx2.)  (Closes: #340772)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Fri, 25 Nov 2005 13:20:38 -0800

libofx (1:0.8.0-7) unstable; urgency=low

  * ofxconnect/Makefile.am (ofxconnect_LDADD): Replace -lssl with
    -lgnutls-openssl.  Remove -lcrypt.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Wed, 23 Nov 2005 23:29:22 -0800

libofx (1:0.8.0-6) unstable; urgency=low

  * debian/rules (install, binary-arch): Put files in libofx2c2a package,
    not deprecated libofx2.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 22 Nov 2005 17:57:13 -0800

libofx (1:0.8.0-5) unstable; urgency=low

  * debian/rules (libofx2c2a): New package name, replacing libofx2, to
    signal ABI change.  Add Conflicts/Replaces against libofx2.
  (Build-Depends): Require at least version 4.0.2-4 of
    g++-4.0 (which produces this new ABI).
  (libofx-dev): Depend on libofx2c2a instead of libofx2.  Update
    description as well.
  (Closes: #339214)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Fri, 18 Nov 2005 00:37:29 -0800

libofx (1:0.8.0-4) unstable; urgency=low

  * debian/compat: New file (level 4).

  * debian/control (Build-Depends): Use libcurl3-gnutls-dev instead of
    libcurl3-dev to avoid libssl in this GPLd program.

  * debian/control (Build-Depends): Depend on libcurl3-gnutls and
    libkrb5-dev to work around dependency bug in libcurl3-gnutls-dev.

  * debian/rules (binary-arch): Put .a and .la files into libofx-dev instead
    of libofx.
  * debian/control (ofx): New package.
  * debian/control (libofx2): Depend on ofx.
  * debian/rules (binary-arch): Install new ofx files into the new place.
    (Closes: #326989)

  * debian/rules (install): Put installed docs into proper directory name.
    (Closes: #294944)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Sat, 15 Oct 2005 15:32:42 -0700

libofx (1:0.8.0-3) unstable; urgency=low

  * debian/shlibs: Delete file (we're using dh_makeshlibs). (Closes: #325791).
  * debian/libofx0c102.docs: renamed to libofx2.docs.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 30 Aug 2005 17:54:00 -0700

libofx (1:0.8.0-2) unstable; urgency=high

  * debian/rules (binary-arch): Remove COPYING file from correct location.
    (version): Set to 0.8.0.
    (install): Remove doc files from correct location.

  * debian/control: 0.8.0 is an soname bump (not mentioned in the upstream
    ChangeLog, unfortunately), so rename the binary package to be libofx2,
    make corresponding changes here, and remove the conflicts with libofx1
    and libofx0c102.
  * debian/rules (binary-arch): Fetch documentation notes from libofx2 subdir.
    (major): Set to 2.
    (Closes: #324955)

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Sat, 27 Aug 2005 13:38:38 -0700

libofx (1:0.8.0-1) unstable; urgency=low

  * Accept NMU from Thomas Viehmann. (Closes: #319963)

  * New upstream release.  (Closes: #324793)

  * debian/control (Build-Depends): Depend on libcurl3-dev, which is the
    new location of the curl-config program.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 23 Aug 2005 19:33:52 -0700

libofx (1:0.7.0-7.1) unstable; urgency=low

  * Non-Maintainer Upload (patch prepared by Micha Lenk, but revised)
  * C++ transition: rename libofx1 to libofx1c2 (Closes: #319963).

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 31 Jul 2005 16:07:41 +0200

libofx (1:0.7.0-7) unstable; urgency=low

  * Declare that libofx1 Replaces: libofx0c102.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 11 Jan 2005 18:52:28 -0800

libofx (1:0.7.0-6) unstable; urgency=low

  * I misunderstood the instructions of the ftp masters.  Revert the name
    of the -dev package to libofx-dev (without number).

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 10 Jan 2005 22:28:16 -0800

libofx (1:0.7.0-5) unstable; urgency=low

  * Whoops, source package should remain libofx.  New epoch to deal with
    upload under this name that had the epoch marked.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 10 Jan 2005 20:28:59 -0800

libofx1 (0.7.0-4) unstable; urgency=low

  * Change source package name to libofx1 to avoid collision with the
    still-used 0.6.6 version of the library (which is now libofx0).

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 10 Jan 2005 16:05:30 -0800

libofx (0.7.0-3) unstable; urgency=low

  * debian/shlibs: package for libofx is now libofx1.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 10 Jan 2005 12:31:42 -0800

libofx (0.7.0-2) unstable; urgency=high

  * debian/control: shlib package should be libofx1; adjust both
    descriptions and dependency information to match. (Closes: #289595).

  * lib/tree.hh (<class T1> destructor): Avoid explicit qualification in
    declaration.  (Closes: #289695).

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Mon, 10 Jan 2005 11:43:40 -0800

libofx (0.7.0-1) unstable; urgency=low

  * New maintainer (Closes: #242468).
  * New upstream release.
  * debian/rules: Update version and major.
  * debian/control: build-depends on gengetopt and curl.
  * debian/shlibs: update soname.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Sat,  8 Jan 2005 13:31:53 -0800

libofx (0.6.6-2.1) unstable; urgency=high

  * Non-maintainer upload to fix release-critical bug.
  * Correct the Maintainer field by removing the spurious trailing dot,
    closes: #273421.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Wed, 29 Sep 2004 09:41:45 +0100

libofx (0.6.6-2) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- "Thomas Bushnell, BSG" <tb@debian.org>  Tue, 17 Aug 2004 20:44:18 -0700

libofx (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Fri, 16 Jan 2004 11:23:51 -0500

libofx (0.6.5-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Thu, 23 Oct 2003 23:04:02 -0400

libofx (0.6.4-2) unstable; urgency=low

  * Add missing #include <locale.h> to ofx_utilities.cpp, which caused a build
    problem on some machines. Upstream cvs is already fixed. Closes: #191964

 -- James A. Treacy <treacy@debian.org>  Tue,  6 May 2003 22:10:56 -0400

libofx (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Sun, 13 Apr 2003 12:01:13 -0400

libofx (0.6.3-2) unstable; urgency=low

  * recompiled for sp updates.

 -- James A. Treacy <treacy@debian.org>  Wed,  2 Apr 2003 22:06:57 -0500

libofx (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Wed, 19 Mar 2003 08:42:41 -0500

libofx (0.6.2-10) unstable; urgency=low

  * Add docs accidentally removed in transition to gcc3.2. Closes: #180657

 -- James A. Treacy <treacy@debian.org>  Tue, 11 Feb 2003 22:13:21 -0500

libofx (0.6.2-9) unstable; urgency=low

  * Update shlibs for gcc 3.2
  * update build files. Closes: #176312

 -- James A. Treacy <treacy@debian.org>  Mon, 13 Jan 2003 01:00:53 -0500

libofx (0.6.2-8) unstable; urgency=low

  * build requires libosp-dev (>= 1.5release-1).

 -- James A. Treacy <treacy@debian.org>  Sun, 12 Jan 2003 01:11:32 -0500

libofx (0.6.2-7) unstable; urgency=low

  * Fix libofx-dev dependency.

 -- James A. Treacy <treacy@debian.org>  Sat, 11 Jan 2003 14:08:24 -0500

libofx (0.6.2-6) unstable; urgency=low

  * package renamed for transition to g++ 3.2

 -- James A. Treacy <treacy@debian.org>  Wed,  8 Jan 2003 00:28:50 -0500

libofx (0.6.2-5) unstable; urgency=low

  * Replacement config.sub and config.guess go in a subdir. Odd. Closes: #174066

 -- James A. Treacy <treacy@debian.org>  Tue, 24 Dec 2002 14:24:10 -0500

libofx (0.6.2-4) unstable; urgency=low

  * libofx-dev depends on libosp-dev. Closes:

 -- James A. Treacy <treacy@debian.org>  Tue, 24 Dec 2002 12:28:40 -0500

libofx (0.6.2-3) unstable; urgency=low

  * uses newer version of config.sub and config.guess. Closes: #174066

 -- James A. Treacy <treacy@debian.org>  Mon, 23 Dec 2002 14:46:07 -0500

libofx (0.6.2-2) unstable; urgency=low

  * fix osp dependency

 -- James A. Treacy <treacy@debian.org>  Sun, 22 Dec 2002 22:52:45 -0500

libofx (0.6.2-1) unstable; urgency=low

  * New upstream source
  * Remove unneeded call to autoconf in build

 -- James A. Treacy <treacy@debian.org>  Sun, 22 Dec 2002 14:22:42 -0500

libofx (0.6.1-1) unstable; urgency=low

  * Initial release.

 -- James A. Treacy <treacy@debian.org>  Fri, 22 Nov 2002 02:07:18 -0500
